Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 710750 (CVE-2019-10782) - dev-util/checkstyle: XML External Entity Injection due to an incomplete fix for CVE-2019-9658 (CVE-2019-10782)
Summary: dev-util/checkstyle: XML External Entity Injection due to an incomplete fix f...
Status: IN_PROGRESS
Alias: CVE-2019-10782
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B3 [ebuild+ cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-25 00:53 UTC by GLSAMaker/CVETool Bot
Modified: 2020-04-16 00:49 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description GLSAMaker/CVETool Bot gentoo-dev 2020-02-25 00:53:21 UTC
CVE-2019-10782 (https://nvd.nist.gov/vuln/detail/CVE-2019-10782):
  All versions of com.puppycrawl.tools:checkstyle before 8.29 are vulnerable
  to XML External Entity (XXE) Injection due to an incomplete fix for
  CVE-2019-9658.
Comment 1 Sam James archtester gentoo-dev Security 2020-04-16 00:49:54 UTC
@maintainer(s): ping